Page MenuHomeFreeBSD

security/py-pyptlib: Limit Python version to 2.7
ClosedPublic

Authored by loader on Dec 12 2017, 5:48 PM.

Details

Summary

I made a mistake in D11562, this port is not compatible with Python 3.

Proposed commit log message:

security/py-pyptlib: Limit Python version to 2.7

This port is not Python 3 compatible, failing with:

  File "/usr/local/lib/python3.6/site-packages/pyptlib/util/__init__.py", line 56
    m = re.match(ur'^\[(.+)\]:(\d*)$', spec)
                                    ^
SyntaxError: invalid syntax

Reviewed_by: koobs, cs
Approved by: cs (maintainer), koobs (ports)
Differential_Revision: D13464

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

loader created this revision.Dec 12 2017, 5:48 PM
loader edited the summary of this revision. (Show Details)Dec 12 2017, 5:50 PM
mat added a comment.Dec 12 2017, 8:10 PM

Note that this will remove the Python 3 flavors from the port, do make sure that any port depending on it is also limited to 2.7.

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p455328_s326450/logs/py36-pyptlib-0.0.6.log
The py36- package builds with a lot SyntaxErrors.

It seems it doesn't stop when an error is encountered:
https://github.com/python/cpython/blob/3.6/Lib/distutils/util.py#L463

Just a thought, maybe we can set a doraise=True here

compile(file, cfile, dfile, doraise=True)

https://docs.python.org/3/library/py_compile.html

Oh, and security/py-pyptlib is only required by security/obfsproxy,
obfsproxy is also a Python 2 port.

loader updated this revision to Diff 40312.Mar 15 2018, 8:17 AM

Update patch after r457499

loader updated this revision to Diff 40314.Mar 15 2018, 9:36 AM

Update patch after r457499 (revised)

koobs accepted this revision.Mar 16 2018, 4:58 AM
koobs added a subscriber: cs.

Current MAINTAINER (@cs) should be added to review

Commit log summary should describe (summarise) the change (commit), not describe the bug.

Something like Limit supported Python versions or Limit Python version to 2.7 with rationale/details ("Syntax Errors, missing explicit Python 3 listing in setup.py") in the body

Otherwise LGTM.

This revision is now accepted and ready to land.Mar 16 2018, 4:58 AM
koobs added a reviewer: cs.Mar 16 2018, 4:58 AM
This revision now requires review to proceed.Mar 16 2018, 4:58 AM
koobs edited the summary of this revision. (Show Details)Mar 16 2018, 4:59 AM
loader edited the summary of this revision. (Show Details)Mar 16 2018, 9:46 AM

Thanks @koobs, I will add maintainer to review next time.

koobs retitled this revision from security/py-pyptlib: not compatible with Python 3 to security/py-pyptlib: Limit Python version with 2.7.Mar 17 2018, 1:45 AM
koobs edited the summary of this revision. (Show Details)
koobs retitled this revision from security/py-pyptlib: Limit Python version with 2.7 to security/py-pyptlib: Limit Python version to 2.7.Mar 17 2018, 8:54 AM
cs accepted this revision.Apr 22 2018, 7:59 PM
This revision is now accepted and ready to land.Apr 22 2018, 7:59 PM
This revision was automatically updated to reflect the committed changes.